Name:          wp-cli
Version:       2.7.0
Release:       1mamba
Summary:       A command-line tool for managing WordPress
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wp-cli.org/
Source:        https://github.com/wp-cli/wp-cli-bundle.git/v%{version}/wp-cli-bundle-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: php
BuildRequires: php-composer

%description
A command-line tool for managing WordPress.

%prep
%setup -q -n %{name}-bundle-%{version}

%build
composer install --no-interaction --prefer-dist --no-scripts && composer dump
echo -n "Building phar... "
php -dphar.readonly=0 utils/make-phar.php wp-cli.phar --quiet
echo "Done!"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m655 wp-cli.phar %{buildroot}%{_bindir}/wp
install -D -m644 vendor/wp-cli/wp-cli/utils/wp-completion.bash %{buildroot}%{_datadir}/bash-completion/completions/wp

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/wp
%{_datadir}/bash-completion/completions/wp
%doc LICENSE

%changelog
* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Wed Jan 26 2022 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Mon Sep 13 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-1mamba
- package created using the webbuild interface
